import 'package:equatable/equatable.dart';

abstract class RapidOrderEvent extends Equatable {
  const RapidOrderEvent();

  @override
  List<Object?> get props => <Object?>[];
}

class RapidOrderMessageChanged extends RapidOrderEvent {
  const RapidOrderMessageChanged(this.message);
  final String message;

  @override
  List<Object?> get props => <Object?>[message];
}

class RapidOrderVoiceToggled extends RapidOrderEvent {
  const RapidOrderVoiceToggled();
}

class RapidOrderSubmitted extends RapidOrderEvent {
  const RapidOrderSubmitted();
}

class RapidOrderExampleSelected extends RapidOrderEvent {
  const RapidOrderExampleSelected(this.example);
  final String example;

  @override
  List<Object?> get props => <Object?>[example];
}
